Bug 197847 - Review Request: pymsnt - MSN Transport for Jabber Servers
Review Request: pymsnt - MSN Transport for Jabber Servers
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2006-07-06 14:56 EDT by Jeffrey C. Ollie
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 13:55:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2006-07-06 14:56:51 EDT
Spec URL: http://repo.ocjtech.us/misc/fedora/5/SRPMS/pymsnt-0.11-1.fc5.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/5/SRPMS/pymsnt-0.11-1.fc5.src.rpm
Description: 
The MSN Transport provides a gateway which allows Jabber users to
communicate with their contacts on the MSN Messenger network.

The transport must be installed on the Jabber server, and it's
operation is nearly transparent to the user. They can interact with
their MSN contacts in the same way as they do with their Jabber
contacts.
Comment 1 Jason Tibbitts 2006-07-11 20:16:35 EDT
Looks like you just beat 0.11.1 ouut.

Some rpmlint issues:
  E: pymsnt no-status-entry /etc/rc.d/init.d/pymsnt
  W: pymsnt mixed-use-of-spaces-and-tabs

Indeed, the init script doesn't accept status, and some lines in the spec are
indented with tabs while others use spaces.  (I.e. spaces for Source0 and tabs
for Source1.)

You don't seem to include the spool directory in the package.

In case you find making the %files list tedious, you might consider using the
stuff at the end of http://fedoraproject.org/wiki/Packaging/Python, which gets
it down to three find statements and a few calls to sed.

You don't seem to include the spool directory in the package.
Comment 2 Jeffrey C. Ollie 2006-07-26 09:39:45 EDT
Updated Spec/SRPM:

Spec URL: http://repo.ocjtech.us/misc/fedora/5/SRPMS/pymsnt-0.11.1-1.fc5.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/5/SRPMS/pymsnt-0.11.1-1.fc5.src.rpm

* Wed Jul 12 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.11.1-1
- Add (non-working) status option to init file.
- Update to 0.11.1
- Own /var/spool/pymsnt

I've added a status option to the init file, but it doesn't work...  I'm not
familiar enough with the init scripts to determine why it doesn't work, can
anyone out there give me a clue?
Comment 3 Peter Berry 2006-07-27 11:23:18 EDT
The group should be Applications/Communications.

The status option doesn't work because start() does not create a pid file.

Instead of running PyMSNt.py directly, it should run a shell script that invokes
twistd with a .tac file, as IIRC the official source tarball does (unfortunately
that seems to be unavailable atm). twistd will create the pid file.
Comment 4 Peter Berry 2006-07-27 12:04:01 EDT
Sigh. Ignore the above comments - I was assuming pymsnt still used twistd, which
for some reason appears not to be the case.
Comment 5 Brian Pepple 2006-09-09 10:25:52 EDT
You should be able to simplify the %files section, since python packages no
longer ghost *.pyo files.

http://fedoraproject.org/wiki/Packaging/Python#head-e48d83dfeb5e671e2018d361d6e75d7e6c6e519c

Note You need to log in before you can comment on or make changes to this bug.